/* ===== SCROLL TO TOP ===== */
.scroll-to-top-wrapper {
    display: flex;
    justify-content: flex-end;
    position: relative;
    z-index: 10;
}

@media (min-width: 640px) {
    .scroll-to-top-wrapper {
        margin-right: 2.5rem;
    }
}

.scroll-to-top-btn {
    position: fixed;
    bottom: 2.5rem;
    right: 1.25rem;
    width: 2.5rem;
    height: 2.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 9999px;
    background-color: var(--picto-primary);
    color: var(--white);
    border: none;
    cursor: pointer;
    transition: all 500ms ease 150ms;
    font-size: 1.25rem;
    z-index: 100;
}

@media (min-width: 640px) {
    .scroll-to-top-btn {
        width: 3.125rem;
        height: 3.125rem;
    }
}

@media (min-width: 1024px) {
    .scroll-to-top-btn {
        width: 3.75rem;
        height: 3.75rem;
        font-size: 1.5rem;
    }
}

.scroll-to-top-btn:hover {
    background-color: var(--picto-primary-dark);
    transform: scale(1.2);
}

.scroll-to-top-btn.hidden {
    transform: scale(0);
    pointer-events: none;
}